# Changelog

## 2024-10-27 - 1.3.3 - fix(core)
removed unused import statement in ts/plugins.ts

- Cleanup: Removed an unused import statement for tsImport from tsx/esm/api

## 2024-10-27 - 1.3.2 - fix(core)
Replace ts-node with tsx for module handling

- Removed ts-node and its loader, using tsx for module imports
- Simplified import logic by replacing tsx register API call
- Updated dependencies in package.json by removing ts-node and typescript

## 2024-10-27 - 1.3.1 - fix(core)
Add console.log to show ts-node options in use

- Added a console log statement in the ts/loader.ts to display the default ts-node options being used.

## 2024-10-27 - 1.3.0 - feat(ci)
Add Gitea workflows for build and release.

- Added .gitea/workflows/default_nottags.yaml for non-tag events.
- Added .gitea/workflows/default_tags.yaml for tag-based events.
- Updated build scripts in package.json to use pnpm.
- Refactored imports and exports in TypeScript source for better modularity.

## 2024-06-24 - 1.2.49 - fix(core)
Minor maintenance updates with version bump


## 2024-06-24 - 1.2.48 - fix(dependencies)
Update TypeScript dependency version

- Updated TypeScript from version 5.4.5 to 5.5.2 to include latest features and fixes.

## 2024-06-24 - 1.2.47 - fix(core)
Remove GitLab CI configuration and update dependencies

- Removed the .gitlab-ci.yml file.
- Updated @git.zone/tsbuild from ^2.1.69 to ^2.1.80.
- Updated @push.rocks/smartcli from ^4.0.8 to ^4.0.11.
- Updated @types/node from ^20.5.6 to ^20.14.8.
- Updated @push.rocks/smartfile from ^10.0.30 to ^11.0.21.
- Updated @push.rocks/smartshell from ^3.0.3 to ^3.0.5.
- Updated ts-node from ^10.9.1 to ^10.9.2.
- Updated typescript from 5.1.6 to 5.4.5.

## 2023-08-26 - 1.2.44 to 1.2.46 - Core Updates and Fixes
Several internal updates and fixes to the core functionality.

- Continuous core updates for improved performance and bug fixes

## 2023-07-13 - 1.2.42 to 1.2.44 - Core Updates and Fixes
Addressing minor bugs and improving core operations.

- Several bug fixes to enhance stability

## 2023-06-03 - 1.2.39 to 1.2.42 - Core and Stability Improvements
Focus on refining core processes and fixing issues.

- Significant fixes for better core performance

## 2022-10-12 - 1.2.37 to 1.2.39 - Core Updates
Series of bug fixes to maintain core functionality.

- Addressed minor bugs in core areas

## 2022-06-02 - 1.2.34 to 1.2.37 - Core Maintenance
Routine updates to address and fix core issues.

- Bug fixes for better core stability

## 2022-03-11 to 2022-03-13 - 1.2.18 to 1.2.33 - Core Enhancements
Multiple updates focusing on resolving core issues and maintaining performance.

- Continuous improvements and fixes in the core functions

## 2021-10-06 - 1.2.18 to 1.2.19 - Core Updates
Minor fixes to keep up with core performance.

- Addressed core issues for improved functionality

## 2021-06-23 to 2021-06-24 - 1.2.12 to 1.2.17 - Core Improvements
Series of updates addressing core functionality.

- Enhanced core features and fixed known bugs

## 2020-06-01 - 1.2.8 to 1.2.11 - Core Stability
Fixes focusing on ensuring core stability.

- Stability improvements in core components

## 2019-07-17 - 1.2.6 to 1.2.7 - Core Updates
Minor fixes targeting the core framework.

- Adjusted core components to enhance performance

## 2019-04-08 to 2019-07-17 - 1.2.2 to 1.2.6 - ES2017 Compatibility and Core Fixes
Updated core to support ES2017 and addressed various core issues.

- Updated environment compatibility
- Fixed several core issues

## 2018-12-06 - 1.1.13 to 1.1.17 - Core Fixes
Routine updates addressing core bugs and issues.

- Multiple fixes to core functionality

## 2018-08-08 - 1.1.11 to 1.1.12 - Dependency Updates
Updated dependencies critical for core performance.

- Enhanced dependencies for better performance

## 2018-07-13 - 1.1.4 to 1.1.10 - Various Updates
Multiple updates focused on documentation, dependencies, and core functions.

- Fixed documentation
- Updated core
- Removed obsolete dependencies

## 2018-06-30 to 2018-07-03 - 1.0.8 to 1.1.3 - Feature and Core Fixes
Introduced new features and addressed core issues.

- Enabled new CLI options
- Resolved core issues for better functionality

## 2018-06-25 - 1.0.4 to 1.0.7 - Core and Security Improvements
Made core improvements and updated security features.

- Added security files
- Fixed core argument parsing issues

## 2018-06-04 - 1.0.1 to 1.0.3 - Initial Fixes and Improvements
Initial setup and fixes to existing issues.

- Moved dependencies to dev
- Fixed package details
